getr8(3)

NAME
getr8, getg8, getb8, getr15, getg15, getb15, getr16, getg16, getb16, getr24, getg24, getb24, getr32, getg32, getb32 - Extract a color component from the specified pixel format. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int getr8(int c); int getg8(int c); int getb8(int c); int getr15(int c); int getg15(int c); int getb15(int c); int getr16(int c); int getg16(int c); int getb16(int c); int getr24(int c); int getg24(int c); int getb24(int c); int getr32(int c); int getg32(int c); int getb32(int c);

DESCRIPTION
Given a color in a display dependent format, these functions extract one of the red, green, or blue components (ranging 0-255). Example:
   int r, g, b, color_value;

   color_value = _getpixel15(screen, 100, 100);
   r = getr15(color_value);
   g = getg15(color_value);
   b = getb15(color_value);

SEE ALSO
geta32(3), getr(3), getr_depth(3), makecol(3), set_color_depth(3)